Bug 99896

Summary: [IGT] [KBL] kms_ccs test assertion failure ret == 0
Product: DRI Reporter: Luis Botello <luis.botello.ortega>
Component: DRM/IntelAssignee: krisman
Status: CLOSED FIXED QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: normal    
Priority: medium CC: intel-gfx-bugs, tomeu
Version: DRI git   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard: ReadyForDev
i915 platform: KBL i915 features: display/HDMI

Description Luis Botello 2017-02-21 18:44:27 UTC
HW config
===============================
Processor Number				i7-7500U
Processor Graphics 				Intel® HD Graphics 620
Graphics Base Frequency				300.00 MHz
Graphics Max Dynamic Frequency			1.05 GHz
Graphics Video Max Memory			32 GB
Graphics Output					eDP/DP/HDMI/DVI

SW config
=================================
Kernel version : 4.10.0-rc8-e80b772
commit e80b772bf85da72c46b582e7c4f7b0d861cb4669
    drm-tip: 2017y-02m-14d-22h-44m-17s UTC integration manifest
Component         : drm
	tag       : libdrm-2.4.75-6-gec80fd3
	commit    : ec80fd3
 Component         : cairo
	tag       : 1.15.4-6-g5854dd9
	commit    : 5854dd9
Component         : intel-gpu-tools
	tag       : intel-gpu-tools-1.17-240-gca2ba47
	commit    : ca2ba47

Steps
====================================
./kms_ccs --run-subtest bad-rotation-90

Program output
=====================================
(kms_ccs:8337) CRITICAL: Test assertion failure function display_fb, file kms_ccs.c:164:
(kms_ccs:8337) CRITICAL: Failed assertion: ret == 0
(kms_ccs:8337) CRITICAL: Last errno: 22, Invalid argument
(kms_ccs:8337) CRITICAL: error: -1 != 0
Subtest pipe-A-crc-basic failed.
**** DEBUG ****
(kms_ccs:8337) igt-kms-DEBUG: display: HDMI-A-2: set_pipe(A)
(kms_ccs:8337) igt-kms-DEBUG: display: HDMI-A-2: Selecting pipe A
(kms_ccs:8337) igt-debugfs-DEBUG: Using generic frame CRC ABI
(kms_ccs:8337) CRITICAL: Test assertion failure function display_fb, file kms_ccs.c:164:
(kms_ccs:8337) CRITICAL: Failed assertion: ret == 0
(kms_ccs:8337) CRITICAL: Last errno: 22, Invalid argument
(kms_ccs:8337) CRITICAL: error: -1 != 0
****  END  ****

Subtests failed cases
===================================
igt@kms_ccs@bad-rotation-90
igt@kms_ccs@pipe-a-crc-basic
igt@kms_ccs@pipe-a-crc-rotation-180
igt@kms_ccs@pipe-b-crc-basic
igt@kms_ccs@pipe-b-crc-rotation-180
igt@kms_ccs@pipe-c-crc-basic
igt@kms_ccs@pipe-c-crc-rotation-180
Comment 1 Jairo Miramontes 2017-02-21 19:27:59 UTC
Same tests are failing on BXT using the following Config:


========== Kernel Information==========
commit e80b772bf85da72c46b582e7c4f7b0d861cb4669
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Feb 14 23:45:02 2017 +0100

    drm-tip: 2017y-02m-14d-22h-44m-17s UTC integration manifest


Kernel version : 4.10.0-rc8-e80b772
Architecture : source amd64 all

========== Software Information ==========
Component: drm
Url      : http://cgit.freedesktop.org/mesa/drm
Tag      : libdrm-2.4.75-6-gec80fd3
Commit   : ec80fd3
Author   : Chris Wilson <chris@chris-wilson.co.uk>
Age      : 2 days ago

Component: cairo
Url      : http://cgit.freedesktop.org/cairo
Tag      : 1.15.4-6-g5854dd9
Commit   : 5854dd9
Author   : Adrian Johnson <ajohnson@redneon.com>
Age      : 12 days ago

Component: intel-gpu-tools
Url      : https://cgit.freedesktop.org/xorg/app/intel-gpu-tools
Tag      : intel-gpu-tools-1.17-240-gca2ba47
Commit   : ca2ba47
Author   : Chris Wilson <chris@chris-wilson.co.uk>
Age      : 15 hours ago

====================

Ubuntu 16.10 yakkety
Comment 2 Tomeu Vizoso 2017-03-16 09:03:29 UTC
CCS support hasn't been merged yet. Right now the test will skip if the hw is earlier than Skylake.
Comment 3 Tomeu Vizoso 2017-03-21 16:28:02 UTC
I will be adding a check for actual CCS support in the kernel so the test can skip. This will depend on patches that haven't been merged at this moment.
Comment 4 Jani Saarinen 2017-03-28 13:14:51 UTC
Tomeu, any update on this?
Comment 5 Humberto Israel Perez Rodriguez 2017-05-17 19:16:45 UTC
The following subtest are failing on APL

Test cases :
=======================================
igt@kms_ccs@pipe-b-crc-basic
igt@kms_ccs@pipe-a-crc-rotation-180
igt@kms_ccs@pipe-b-crc-rotation-180
igt@kms_ccs@bad-rotation-90
igt@kms_ccs@pipe-c-crc-basic
igt@kms_ccs@pipe-a-crc-basic
igt@kms_ccs@pipe-c-crc-rotation-180


======================================
             Software
======================================
kernel version              : 4.12.0-rc1-drm-tip-ww20-commit-713f8ec+
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 03/10/2017
ksc                         : 16.0

======================================
        Graphic drivers
======================================
Component: drm
    tag: libdrm-2.4.80-11-ga2fa2e0
    commit: a2fa2e08692483cf9f4d06caa6e0f0add59e3343

Component: cairo
    tag: 1.15.4-21-g9d44136
    commit: 9d44136ef8e2a1ad2c6631beb4bbdaeed7a2dad8

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-173-g93215b0
    commit: 93215b00db06ba568c34a6cad194f4749bbfbc9d

Component: piglit
    tag: piglit-v1
    commit: 7352f4a98a23eae1201bfc4a0121d9c3a969d23f

======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.54 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
signature                  : Type 0, Family 6, Model 92, Stepping 9
current cd clock frequency : 384000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.7
guc fw loaded             : NONE
guc version wanted        : 0.0
guc version found         : 0.0
Add Comment
Comment 6 krisman 2017-06-05 04:10:37 UTC
(In reply to Jani Saarinen from comment #4)
> Tomeu, any update on this?

Taking ownership to work on check for CCS support in the kernel.
Comment 7 Jani Saarinen 2017-06-07 13:56:37 UTC
Please check with Ville on this too.
Comment 8 Humberto Israel Perez Rodriguez 2017-06-28 19:47:21 UTC
the following test cases fail on GLK with latest kernel from drm-tip

testlist
==============================
igt@kms_ccs@pipe-B-crc-rotation-180
igt@kms_ccs@pipe-C-crc-basic
igt@kms_ccs@pipe-A-crc-basic
igt@kms_ccs@pipe-A-crc-rotation-180
igt@kms_ccs@pipe-B-crc-basic
igt@kms_ccs@pipe-C-crc-rotation-180


        Graphic drivers
======================================
Component: drm
    tag: libdrm-2.4.80-29-g7e6bf88
    commit: 7e6bf88cac315a9fa41818cf72a7b5d18a2cb1fc
Component: cairo
    tag: 1.15.4-28-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-284-g9918014
    commit: 9918014df55d0393f99a31e3c398a4b38c90bb80
Component: piglit
    tag: piglit-v1
    commit: 1b8356e6dfa07480c154fccb47f6ef9c908ef652

======================================
             Kernel
======================================
commit 1789a777702e41b11133dd23578edbd0b47ccf40
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Fri Jun 23 13:43:22 2017 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Fri Jun 23 13:43:22 2017 +0100
drm-tip: 2017y-06m-23d-12h-42m-45s UTC integration manifest
Comment 9 maria guadalupe 2017-08-08 21:16:23 UTC
These tests are still failing over GLK with the following configuration 

Test cases :
=======================================
igt@kms_ccs@pipe-b-crc-basic
igt@kms_ccs@pipe-a-crc-rotation-180
igt@kms_ccs@pipe-b-crc-rotation-180
igt@kms_ccs@bad-rotation-90
igt@kms_ccs@pipe-c-crc-basic
igt@kms_ccs@pipe-a-crc-basic
igt@kms_ccs@pipe-c-crc-rotation-180

Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-ef8894e+
hostname                    : gfx-desktop
architecture                : x86_64
os version                  : Ubuntu 17.04
os codename                 : zesty
kernel driver               : i915
bios revision               : 52.23
bios release date           : 06/24/2017
ksc                         : 1.36
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda2)

======================================
        Graphic drivers
======================================
intel-gpu-tools             : 1.17-1

======================================
             Hardware
======================================
platform                   : Geminilake
motherboard model          : Geminilake
motherboard id             : GLKRVP1DDR4(05)
form factor                : Hand Held
manufacturer               : IntelCorp.
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3184 (rev 01) (prog-if 00 [VGA controller])
memory ram                 : 5.64 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 122
cpu stepping               : 0
socket                     : Other
hard drive                 : 223GiB (240GB)
current cd clock frequency : 79200 kHz
maximum cd clock frequency : 316800 kHz
Comment 10 Elizabeth 2017-08-23 16:34:25 UTC
These tests are now passed on GLK with the following configuration:
=====================================================
igt@kms_ccs@pipe-b-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-rotation-180
igt@kms_ccs@pipe-b-crc-primary-rotation-180
igt@kms_ccs@pipe-a-bad-rotation-90
igt@kms_ccs@pipe-b-bad-rotation-90
igt@kms_ccs@pipe-c-bad-rotation-90
igt@kms_ccs@pipe-c-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-basic
igt@kms_ccs@pipe-c-crc-primary-rotation-180
=====================================================

Gfx stack
=====================================================
Component: drm
    tag: libdrm-2.4.81-46-g9d133dd
    commit: 9d133dd08720d80dfc8ce098bf0972ebd05c454d

Component: cairo
    tag: 1.15.6-14-gf351595
    commit: f3515954e0bc9c9ca413a84a8dd842145cec83a7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-193-g5a17ee2
    commit: 5a17ee2c8f9013f5db852d27564b837f9f2c5a9f

Component: piglit
    tag: piglit-v1
    commit: 2a7047a32bb3a9a4fad5bea0a8185d63af6bddf3

Kernel info
=====================================================
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
=====================================================
Comment 11 Elizabeth 2017-08-23 20:21:29 UTC
These tests are now passed on SKL with the following configuration:
=====================================================
igt@kms_ccs@pipe-b-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-rotation-180
igt@kms_ccs@pipe-b-crc-primary-rotation-180
igt@kms_ccs@pipe-a-bad-rotation-90
igt@kms_ccs@pipe-b-bad-rotation-90
igt@kms_ccs@pipe-c-bad-rotation-90
igt@kms_ccs@pipe-c-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-basic
igt@kms_ccs@pipe-c-crc-primary-rotation-180
=====================================================

Gfx stack
=====================================================
Component: drm
    tag: libdrm-2.4.81-46-g9d133dd
    commit: 9d133dd08720d80dfc8ce098bf0972ebd05c454d

Component: cairo
    tag: 1.15.6-14-gf351595
    commit: f3515954e0bc9c9ca413a84a8dd842145cec83a7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-193-g5a17ee2
    commit: 5a17ee2c8f9013f5db852d27564b837f9f2c5a9f

Component: piglit
    tag: piglit-v1
    commit: 2a7047a32bb3a9a4fad5bea0a8185d63af6bddf3

Kernel info
=====================================================
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
=====================================================

Hardware
==============================================================
Processor Number			i5-6260U
Status					Launched
Launch Date				Q3'15
Lithography				14 nm

==============================================================
Performance
==============================================================
# of Cores				2
# of Threads				4
Processor Base Frequency		1.80 GHz
Max Turbo Frequency			2.90 GHz
Cache					4 MB SmartCache
Bus Speed				4 GT/s OPI
TDP					15 W
Configurable TDP-down			9.5 W

==============================================================
Memory Specifications
==============================================================
Max Memory Size 			32 GB
Memory Types				DDR4-2133, LPDDR3-1866, DDR3L-1600
Max # of Memory Channels		2
Max Memory Bandwidth			34.1 GB/s
ECC Memory Supported  			No

==============================================================
Graphics Specifications
==============================================================
Processor Graphics 			Intel® Iris™ Graphics 540
Graphics Base Frequency			300.00 MHz
Graphics Max Dynamic Frequency		950.00 MHz
Graphics Video Max Memory		32 GB
eDRAM					64 MB
Graphics Output				eDP/DP/HDMI/DVI
4K Support				Yes, at 60Hz
Max Resolution (Intel® WiDi)		1080p
Max Resolution (HDMI 1.4)		4096x2304@24Hz
Max Resolution (DP)			4096x2304@60Hz
Max Resolution (eDP)			4096x2304@60Hz
Max Resolution (VGA)			N/A
DirectX* Support			12
OpenGL* Support				4.4
Intel® Quick Sync Video 		Yes
Intel® InTru™ 3D Technology		Yes
Intel® Clear Video HD Technology	Yes
Intel® Clear Video Technology		Yes
Intel® Wireless Display 		Yes
# of Displays Supported 		3
Device ID				0x1926
Comment 12 Elizabeth 2017-08-23 22:24:28 UTC
These tests are now passed on BXT with the following configuration:
=====================================================
igt@kms_ccs@pipe-b-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-rotation-180
igt@kms_ccs@pipe-b-crc-primary-rotation-180
igt@kms_ccs@pipe-a-bad-rotation-90
igt@kms_ccs@pipe-b-bad-rotation-90
igt@kms_ccs@pipe-c-bad-rotation-90
igt@kms_ccs@pipe-c-crc-primary-basic
igt@kms_ccs@pipe-a-crc-primary-basic
igt@kms_ccs@pipe-c-crc-primary-rotation-180
=====================================================

Gfx stack
=====================================================
Component: drm
    tag: libdrm-2.4.81-46-g9d133dd
    commit: 9d133dd08720d80dfc8ce098bf0972ebd05c454d

Component: cairo
    tag: 1.15.6-14-gf351595
    commit: f3515954e0bc9c9ca413a84a8dd842145cec83a7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-193-g5a17ee2
    commit: 5a17ee2c8f9013f5db852d27564b837f9f2c5a9f

Component: piglit
    tag: piglit-v1
    commit: 2a7047a32bb3a9a4fad5bea0a8185d63af6bddf3

Kernel info
=====================================================
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
Comment 13 Elizabeth 2017-10-11 21:14:45 UTC
These test are now SUCCESS. Closing.

$ : sudo -E ./kms_ccs --r pipe-*-crc-*
IGT-Version: 1.20-g136100c (x86_64) (Linux: 4.14.0-rc4-drm-intel-qa-ww41-commit-36e0e80+ x86_64)
Subtest pipe-A-crc-primary-basic: SUCCESS (0.192s)
Subtest pipe-A-crc-primary-rotation-180: SUCCESS (0.237s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-A-crc-sprite-planes-basic: SKIP (0.001s)
Subtest pipe-B-crc-primary-basic: SUCCESS (0.239s)
Subtest pipe-B-crc-primary-rotation-180: SUCCESS (0.238s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-B-crc-sprite-planes-basic: SKIP (0.001s)
Subtest pipe-C-crc-primary-basic: SUCCESS (0.239s)
Subtest pipe-C-crc-primary-rotation-180: SUCCESS (0.239s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-C-crc-sprite-planes-basic: SKIP (0.001s)
Subtest pipe-D-crc-primary-basic: SUCCESS (0.237s)
Subtest pipe-D-crc-primary-rotation-180: SUCCESS (0.240s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-D-crc-sprite-planes-basic: SKIP (0.001s)
Subtest pipe-E-crc-primary-basic: SUCCESS (0.239s)
Subtest pipe-E-crc-primary-rotation-180: SUCCESS (0.224s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-E-crc-sprite-planes-basic: SKIP (0.001s)
Subtest pipe-F-crc-primary-basic: SUCCESS (0.237s)
Subtest pipe-F-crc-primary-rotation-180: SUCCESS (0.237s)
i915 CCS modifier not supported by kernel for plane
Subtest pipe-F-crc-sprite-planes-basic: SKIP (0.001s)

$ : sudo -E ./kms_ccs --r pipe-*-bad-rotation-90
IGT-Version: 1.20-g136100c (x86_64) (Linux: 4.14.0-rc4-drm-intel-qa-ww41-commit-36e0e80+ x86_64)
Subtest pipe-A-bad-rotation-90: SUCCESS (0.062s)
Subtest pipe-B-bad-rotation-90: SUCCESS (0.015s)
Subtest pipe-C-bad-rotation-90: SUCCESS (0.012s)
Subtest pipe-D-bad-rotation-90: SUCCESS (0.007s)
Subtest pipe-E-bad-rotation-90: SUCCESS (0.005s)
Subtest pipe-F-bad-rotation-90: SUCCESS (0.004s)

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.